Bug 123881 - kioslave crashes after upgrade from FC1 to FC 2
kioslave crashes after upgrade from FC1 to FC 2
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2004-05-21 06:31 EDT by Pawel Orzechowski
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-30 12:19:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pawel Orzechowski 2004-05-21 06:31:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040116

Description of problem:
I have performed upgrade from FC1 to FC2 using apt. Since then kde
kioslave processes keep crashing constantly. Some samples: 
1. I can not check or send mail via kmail. It gives me an error:
"process for protocol pop3://<hostname> unexpectedly died" 
and in .xsession-errors file:
"kioslave: ####### CRASH ###### protocol = pop3 pid = 6514"
2. I cannot use konqueror to browse network - I get following information:
"There was an error loading http://<site address>
Process for protocol http://<site address> unexpectedly died"
and in .xsession-errors:
"kioslave: ####### CRASH ###### protocol = http pid = 6520 signal = 11"

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. UPgrade from FC1 to FC2 using apt
2. Login using kde
3. Check mail using kmail or open url using konqueror

Actual Results:  information in application window:
"process for protocol <kioslave>://<internet adress> unexpectedly died"
information in .xsesion-errors file:
"kioslave: ####### CRASH ###### protocol = <kislave> pid = <pid>
signal = <number>

Expected Results:  kmail should check mail without problem,
konqueror should open url

Additional info:

As I remeber correctly I had similiar problem in FC1 when I tried to
use 2.6 kernel insted of 2.4. 
This bug makes my kde environment simply unusable!
Comment 1 Pawel Orzechowski 2004-06-14 04:03:13 EDT
I have upgraded kde to 3.2.3 version and the problem still exists.
Comment 2 Ngo Than 2004-06-30 12:19:41 EDT
i have upgraded from FC1 to FC2 and it works for me. I cannot
reproduce this problem here.

This problem could be caused by upgrade process. It would be nice if
you could do a fresh FC2 installation on your machine and verify
whether this problem still appears.

Please reopen it again if it still appears with new fresh FC
installation. Thanks

Comment 3 Pawel Orzechowski 2004-07-06 05:39:41 EDT
After clean instalation everything works as it should. But it is not
resolution. The main advantage of Linux over Windows is that you need
not solve problems by reinstalling a whole machine:-(
It would be good if someone could give me just some hints, how to
track down the problem.Thanks
Comment 4 Pawel Orzechowski 2004-07-06 06:53:46 EDT
Well, I have resolved it finally by myself:-))). 
I have removed 2 files from $HOME/.kde/share/config: 
and it helped. 

Note You need to log in before you can comment on or make changes to this bug.